/*******************************************************************************
 * Copyright (c) 2005 INRIA. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     INRIA - Initial API and implementation
 *     
 ******************************************************************************/

package org.eclipse.gmt.am3.tools.ant.tasks;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.gmt.am3.tools.ant.toolkit.AM3AntToolKit;
import org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel;

/**
 * 
 * @author Freddy Allilaire
 *
 */
public class ApplyMarkersTask extends Task {

	protected String model;
	protected String path;
	
	public void execute() throws BuildException {
		AM3AntToolKit.attachLogHandler(getProject());
		
		if (model == null)
			throw new BuildException("model attribute  must not be null");
		if (path == null)
			throw new BuildException("path attribute must not be null");
		try {
			Object ref = getProject().getReference(model);
			if (ref instanceof ASMModel) {
				log("Applying marker to model " + ((ASMModel)ref).getName());
				AM3AntToolKit.applyMarkers(path, (ASMModel)ref, getProject());
			} else {
				throw new BuildException("model is not instanceof ASMModel");
			}
		} catch (CoreException e) {
			throw new BuildException(e);
		}
	}

	public void setModel(String model) {
		this.model = model;
	}

	public void setPath(String path) {
		this.path = path;
	}
	
}
