/*******************************************************************************
 * Copyright (c) 2005 INRIA. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     INRIA - Initial API and implementation
 *     
 ******************************************************************************/

package org.eclipse.gmt.am3.tools.ant.tasks.nestedelement;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 
 * @author Freddy Allilaire
 *
 */
public class Injector {

	protected String name;
	private Map params = new HashMap();
	private List classpath = new ArrayList();
	
	public Injector() {
		
	}

	public void addConfiguredParam(Param p) {
		params.put(p.name, p.value);
	}
	
	public void addConfiguredClasspath(Classpath c) {
		classpath.add(c);
	}
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Map getParams() {
		return params;
	}

	public List getClasspath() {
		return classpath;
	}
	
}
